Subject: Re: bug#52558: Option for easier typing of regexps

From: Phil Sainty <[email-masked]>
Date: Mon, 20 Dec 2021 02:03:26 +1300

On 2021-12-20 00:56, Lars Ingebrigtsen wrote:
> I think it would be really confusing to have a different regexp
> syntax when prompting interactively to when you're writing code

I do recall discussions about allowing (via a user option) rx syntax
at regexp prompts, however.  I think *that* could be nice; but if we
were to have an rx option, perhaps additional options could be up
for consideration as well.

Personally I agree with you that multiple string syntax options has
potential to create confusion, but https://github.com/joddie/pcre2el
shows there's some demand for such things.  Perhaps that library
would suffice as a solution for this particular request?

-Phil